Cassandra.system_update_column_family_result (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class Cassandra.system_update_column_family_result

- java.lang.Object
- - org.apache.cassandra.thrift.Cassandra.system_update_column_family_result

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.system_update_column_family_result>, org.apache.thrift.TBase<Cassandra.system_update_column_family_result,Cassandra.system_update_column_family_result._Fields>
  Enclosing class:
    Cassandra

      public static class Cassandra.system_update_column_family_result
      extends java.lang.Object
      implements org.apache.thrift.TBase<Cassandra.system_update_column_family_result,Cassandra.system_update_column_family_result._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.system_update_column_family_result>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Cassandra.system_update_column_family_result._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `InvalidRequestException` | `ire`
    `static java.util.Map<Cassandra.system_update_column_family_result._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `SchemaDisagreementException` | `sde`
    `java.lang.String` | `success`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `system_update_column_family_result()`
    `system_update_column_family_result(Cassandra.system_update_column_family_result other)` Performs a deep copy on other.
    `system_update_column_family_result(java.lang.String success, InvalidRequestException ire, SchemaDisagreementException sde)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(Cassandra.system_update_column_family_result other)`
    `Cassandra.system_update_column_family_result` | `deepCopy()`
    `boolean` | `equals(Cassandra.system_update_column_family_result that)`
    `boolean` | `equals(java.lang.Object that)`
    `Cassandra.system_update_column_family_result._Fields` | `fieldForId(int fieldId)`
    `java.lang.Object` | `getFieldValue(Cassandra.system_update_column_family_result._Fields field)`
    `InvalidRequestException` | `getIre()`
    `SchemaDisagreementException` | `getSde()`
    `java.lang.String` | `getSuccess()`
    `int` | `hashCode()`
    `boolean` | `isSet(Cassandra.system_update_column_family_result._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetIre()` Returns true if field ire is set (has been assigned a value) and false otherwise
    `boolean` | `isSetSde()` Returns true if field sde is set (has been assigned a value) and false otherwise
    `boolean` | `isSetSuccess()` Returns true if field success is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(Cassandra.system_update_column_family_result._Fields field, java.lang.Object value)`
    `Cassandra.system_update_column_family_result` | `setIre(InvalidRequestException ire)`
    `void` | `setIreIsSet(boolean value)`
    `Cassandra.system_update_column_family_result` | `setSde(SchemaDisagreementException sde)`
    `void` | `setSdeIsSet(boolean value)`
    `Cassandra.system_update_column_family_result` | `setSuccess(java.lang.String success)`
    `void` | `setSuccessIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetIre()`
    `void` | `unsetSde()`
    `void` | `unsetSuccess()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### success

          public java.lang.String success

    - #### ire

          public InvalidRequestException ire

    - #### sde

          public SchemaDisagreementException sde

    - #### metaDataMap

          public static final java.util.Map<Cassandra.system_update_column_family_result._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### system_update_column_family_result

          public system_update_column_family_result()

    - #### system_update_column_family_result

          public system_update_column_family_result(java.lang.String success,
                                                    InvalidRequestException ire,
                                                    SchemaDisagreementException sde)

    - #### system_update_column_family_result

          public system_update_column_family_result(Cassandra.system_update_column_family_result other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public Cassandra.system_update_column_family_result deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.system_update_column_family_result,Cassandra.system_update_column_family_result._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<Cassandra.system_update_column_family_result,Cassandra.system_update_column_family_result._Fields>`

    - #### getSuccess

          public java.lang.String getSuccess()

    - #### setSuccess

          public Cassandra.system_update_column_family_result setSuccess(java.lang.String success)

    - #### unsetSuccess

          public void unsetSuccess()

    - #### isSetSuccess

          public boolean isSetSuccess()

      Returns true if field success is set (has been assigned a value) and false otherwise

    - #### setSuccessIsSet

          public void setSuccessIsSet(boolean value)

    - #### getIre

          public InvalidRequestException getIre()

    - #### setIre

          public Cassandra.system_update_column_family_result setIre(InvalidRequestException ire)

    - #### unsetIre

          public void unsetIre()

    - #### isSetIre

          public boolean isSetIre()

      Returns true if field ire is set (has been assigned a value) and false otherwise

    - #### setIreIsSet

          public void setIreIsSet(boolean value)

    - #### getSde

          public SchemaDisagreementException getSde()

    - #### setSde

          public Cassandra.system_update_column_family_result setSde(SchemaDisagreementException sde)

    - #### unsetSde

          public void unsetSde()

    - #### isSetSde

          public boolean isSetSde()

      Returns true if field sde is set (has been assigned a value) and false otherwise

    - #### setSdeIsSet

          public void setSdeIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(Cassandra.system_update_column_family_result._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.system_update_column_family_result,Cassandra.system_update_column_family_result._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(Cassandra.system_update_column_family_result._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.system_update_column_family_result,Cassandra.system_update_column_family_result._Fields>`

    - #### isSet

          public boolean isSet(Cassandra.system_update_column_family_result._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<Cassandra.system_update_column_family_result,Cassandra.system_update_column_family_result._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(Cassandra.system_update_column_family_result that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(Cassandra.system_update_column_family_result other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Cassandra.system_update_column_family_result>`

    - #### fieldForId

          public Cassandra.system_update_column_family_result._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.system_update_column_family_result,Cassandra.system_update_column_family_result._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<Cassandra.system_update_column_family_result,Cassandra.system_update_column_family_result._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<Cassandra.system_update_column_family_result,Cassandra.system_update_column_family_result._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation